Subject: Re: git gc logs to standard error

From: Richard Rossel <[email-masked]>
Date: Mon, 14 Dec 2009 13:23:54 -0300

>
> On Mon, Dec 14, 2009 at 07:55, Johan Herland<[email-masked]>  wrote:
>    
>> On Monday 14 December 2009, Richard Rossel wrote:
>>      
>>> Hi,
>>> I have a question related to the output of git gc logs. Let me
>>> explain,
>>>
>>> [...]
>>>
>>> I realized that the message are sent to standard error,
>>> so the question is why is the reason to do that?
>>>
>>> The quick solution to my problem of annoying mails is send the output
>>> error to /dev/null
>>> but what happens when an error really occur, there will be no message
>>> to alert me.
>>>        
>> Try the --quiet parameter to "git gc" (and other git commands).
>>
>>
>> ...Johan
>>
>> --
>> Johan Herland,<[email-masked]>
>> www.herland.net
>>      
> I think the real problem that Richard is experiencing is that git
> fetch isn't respecting the --quiet option.  The output being similar
> to git gc, and also being on STDERR seems to be a red-herring.
>
> Richard,
>
> What version of git are you using?
>
> Also, what is the output from 'git fetch --q; echo $?' if you just run
> that in your repo?  If the last line you see is '0', then that should
> be the only output you see.
>
> -Jacob
>    

$ git --version
git version 1.5.4.3

And when there is no change in the repo

$ git fetch --q; echo $?
0

no messages and no error , but when there is a change to syncronize

$ git fetch --q; echo $?
remote: Counting objects: 7, done.
remote: Compressing objects: 100% (5/5), done.
remote: Total 5 (delta remote: 2), reused 0 (delta 0)
Unpacking objects: 100% (5/5), done.
 From git@boss:sandbox
    3e4df7f..b92d27c  master     -> origin/master
0

here come the messages but the return value is still 0

I will try to update git to v1.6.5.6 and see what happend

--
Richard Rossel
Airsage Inc.
Valparaiso - Chile